public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Fabian Groffen" <grobian@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/openbsd-netcat/
Date: Mon, 23 May 2016 19:37:43 +0000 (UTC)	[thread overview]
Message-ID: <1464032251.095a727d0ba5c3a703a501dc71d7ddaf80e83041.grobian@gentoo> (raw)

commit:     095a727d0ba5c3a703a501dc71d7ddaf80e83041
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Mon May 23 19:37:20 2016 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Mon May 23 19:37:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=095a727d

net-analyzer/openbsd-netcat: revbump to install as nc (blocking netcat), bug #582884, respect CC, CFLAGS and LDFLAGS

Package-Manager: portage-2.2.28

 .../openbsd-netcat/openbsd-netcat-1.105-r1.ebuild  | 46 ++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild b/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild
new file mode 100644
index 0000000..c4d9efa
--- /dev/null
+++ b/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="The OpenBSD network swiss army knife"
+HOMEPAGE="http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/nc/"
+SRC_URI="http://http.debian.net/debian/pool/main/n/netcat-openbsd/netcat-openbsd_${PV}.orig.tar.gz
+	http://http.debian.net/debian/pool/main/n/netcat-openbsd/netcat-openbsd_${PV}-7.debian.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x64-macos"
+
+DEPEND="virtual/pkgconfig"
+RDEPEND="dev-libs/libbsd
+	!net-analyzer/netcat
+	!net-analyzer/netcat6
+"
+
+S=${WORKDIR}/netcat-openbsd-${PV}
+
+PATCHES=( "${WORKDIR}/debian/patches" )
+
+src_compile() {
+	emake CC=$(tc-getCC) CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die
+}
+
+src_install() {
+	dobin nc
+	doman nc.1
+	cd "${WORKDIR}/debian"
+	newdoc netcat-openbsd.README.Debian README
+	dodoc -r examples
+}
+
+pkg_postinst() {
+	if [[ ${KERNEL} = "linux" ]]; then
+		ewarn "FO_REUSEPORT is introduced in linux 3.9. If your running kernel is older"
+		ewarn "and kernel header is newer, nc will not listen correctly. Matching the header"
+		ewarn "to the running kernel will do. See bug #490246 for details."
+	fi
+}


             reply	other threads:[~2016-05-23 19:37 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-23 19:37 Fabian Groffen [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-09  2:20 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/openbsd-netcat/ Sam James
2024-08-02 11:25 James Le Cuirot
2023-09-29 18:36 WANG Xuerui
2023-05-06 14:48 Arthur Zamarin
2023-05-06 14:30 Sam James
2023-05-06 13:50 Arthur Zamarin
2023-05-06 12:11 Sam James
2023-05-01 13:19 Sam James
2023-01-19  2:27 Sam James
2023-01-19  2:27 Sam James
2023-01-19  2:27 Sam James
2023-01-19  2:27 Sam James
2023-01-19  1:39 Sam James
2023-01-19  1:39 Sam James
2022-09-25  1:15 Sam James
2022-08-12 10:33 Agostino Sarubbo
2022-08-12 10:17 Agostino Sarubbo
2022-08-10 10:56 Arthur Zamarin
2022-08-10  9:42 Agostino Sarubbo
2022-06-24 20:57 Jakov Smolić
2022-03-20 18:43 Sam James
2022-01-03 23:26 David Seifert
2021-09-27 14:53 Marek Szuba
2021-08-09  1:18 Sam James
2021-04-19  0:23 Sam James
2021-04-03 15:57 Sam James
2020-10-25 23:42 Thomas Deutschmann
2020-10-25 23:17 Sam James
2020-08-20 13:20 Sam James
2020-05-13  4:00 Benda XU
2019-04-08 23:18 Aaron Bauman
2019-03-13 13:42 Mikle Kolyada
2019-03-13 13:19 Michał Górny
2017-09-13 15:05 Fabian Groffen
2016-07-04 12:25 Fabian Groffen
2016-05-17  8:29 Fabian Groffen
2016-05-13  8:11 Benda XU

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1464032251.095a727d0ba5c3a703a501dc71d7ddaf80e83041.grobian@gentoo \
    --to=grobian@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox